Vulnerability Alert

Oracle Java Applet JAX-WS Class Processing Security Bypass Arbitrary Code Execution Vulnerability

 
Threat Type:CWE-20: Input Validation
IntelliShield ID:27404
Version:1
First Published:2012 November 13 14:30 GMT
Last Published:2012 November 13 19:30 GMT
Port: Not available
CVE:CVE-2012-5076
BugTraq ID:56054
Urgency:Possible use
Credibility:Confirmed
Severity:Moderate Damage
CVSS Base:10.0 CVSS Calculator
CVSS Version 2.0
CVSS Temporal:8.3
 
Version Summary:Oracle Java contains a vulnerability that could allow an unauthenticated, remote attacker to bypass security restrictions and execute arbitrary code on a targeted system. Updates are available.
 
 
Description
Oracle Java contains a vulnerability that could allow an unauthenticated, remote attacker to bypass security restrictions and execute arbitrary code on a targeted system.

The vulnerability is due to improper security restrictions imposed by the affected software. An unauthenticated, remote attacker could exploit this vulnerability by convincing a user to visit a malicious web page or follow a malicious link. Successful exploitation could allow an attacker to bypass Java sandbox security restrictions. An attacker could use this vulnerability to execute arbitrary code on the system.

Functional code that demonstrates an exploit of this vulnerability is available as a part of the Metasploit framework.

Oracle has confirmed this vulnerability and released updated software.
 
Warning Indicators
Oracle Java Runtime Environment (JRE) 7 Update 7 and prior are vulnerable.
 
IntelliShield Analysis
To exploit the vulnerability, the attacker may provide a link that directs a user to a malicious site and use misleading language or instructions to persuade the user to follow the provided link.

Functional code is publicly available which may aid an attacker in exploiting this vulnerability.
 
Vendor Announcements
Oracle has released a critical patch update advisory at the following link: Oracle Java SE CPU October 2012
 
Impact
An unauthenticated, remote attacker could exploit this vulnerability to bypass Java sandbox security and execute arbitrary code on a targeted system. Successful exploitation could result in a complete system comprise.
 
Technical Information
The vulnerability is due to an unspecified error in the JAX-WS class subcomponent of the affected software, which could allow a Java applet to run arbitrary code outside the Java sandbox.

No further technical information available.
 
Safeguards
Administrators are advised to apply the appropriate updates.

Users are advised not to open unsolicited e-mail attachments. Users should verify that attachments are safe before opening them.

Administrators are advised to monitor affected systems.
 
Patches/Software
Oracle has released software updates at the following link: Oracle CPU
 
Alert History
 
Initial Release


Product Sets
 
The security vulnerability applies to the following combinations of products.

Primary Products:
Sun Microsystems, Inc.Java Runtime Environment (JRE) 1.4.2 Base, _01, _02, _03, _04, _05, _06, _07, _08, _09, _10, _11, _12, _13, _14, _15, _16, _17, _18, _19, _20, _21, _22, _23, _24, _25, _26, _27, _28, _29, _30, _31, _32, _33, _34, _35, _36, _37, _38 | 1.5.0 Base, .02 | 1.7.0 Base | 5.0.0 Base, Update 1, Update 2, Update 3, Update 4, Update 5, Update 6, Update 7, Update 8, Update 9, Update 10, Update 11, Update 12, Update 13, Update 14, Update 15, Update 16, Update 17, Update 18, Update 19, Update 20, Update 21, Update 22, Update 23, Update 24, Update 25, Update 26, Update 27, Update 28, Update 29, Update 30, Update 31, Update 32, Update 33, Update 34, Update 35, Update 36 | 6.0 Base, Update 1, Update 2, Update 3, Update 4, Update 5, Update 6, Update 7, Update 10, Update 11, Update 12, Update 13, Update 14, Update 15, Update 16, Update 17, Update 18, Update 19, Update 20, Update 21, Update 22, Update 23, Update 24, Update 25, Update 26, Update 27, Update 28, Update 29, Update 30, Update 31, Update 32, Update 33, Update 34, Update 35 | 7.0 Base, Update 1, Update 2, Update 3, Update 4, Update 5, Update 6, Update 7

Associated Products:
N/A




Alerts and bulletins on the Cisco Security Intelligence Operations Portal are highlighted by analysts in the Cisco Threat Operations Center and represent a subset of the comprehensive content that is available through Cisco Security IntelliShield Alert Manager Service. This customizable threat and vulnerability alert service provides security staff with access to timely, accurate, and credible information about threats and vulnerabilities that may affect their environment.


LEGAL DISCLAIMER
The urgency and severity ratings of this alert are not tailored to individual users; users may value alerts differently based upon their network configurations and circumstances. THE ALERT, AND INFORMATION CONTAINED THEREIN, ARE PROVIDED ON AN "AS IS" BASIS AND DO NOT IMPLY ANY KIND OF GUARANTEE OR WARRANTY, INCLUDING THE WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE. YOUR USE OF THE ALERT, AND INFORMATION CONTAINED THEREIN, OR MATERIALS LINKED FROM THE ALERT, IS AT YOUR OWN RISK. INFORMATION IN THIS ALERT AND ANY RELATED COMMUNICATIONS IS BASED ON OUR KNOWLEDGE AT THE TIME OF PUBLICATION AND IS SUBJECT TO CHANGE WITHOUT NOTICE. CISCO RESERVES THE RIGHT TO CHANGE OR UPDATE ALERTS AT ANY TIME.
Powered by  IntelliShield